## genwall 1.2.0

=== Makefile ===
#############################################################################
# Makefile for building: genwall
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Nov 11 19:38:39 2015
# Project:  genwall-1.2.0.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile genwall-1.2.0.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/include/QtCore -I/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/include/QtNetwork -I/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/include/QtGui -I/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/include/QtDBus -I/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/include/QtMaemo5 -I/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/include -I/opt/qtm12/include/QtConnectivity -I/opt/qtm12/include/QtSystemInfo -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -lcrypt -L/usr/lib -lQtSystemInfo -lQtConnectivity -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		rcqtextedit.cpp \
		pwqdialog.cpp \
		addnowdialog.cpp \
		processrunner.cpp \
		usbmanager.cpp \
		helpwindow.cpp \
		btdevice.cpp \
		btservice.cpp \
		dhcpdialog.cpp moc_mainwindow.cpp \
		moc_texteditautoresizer.cpp \
		moc_rcqtextedit.cpp \
		moc_pwqdialog.cpp \
		moc_addnowdialog.cpp \
		moc_processrunner.cpp \
		moc_usbmanager.cpp \
		moc_helpwindow.cpp \
		moc_btdevice.cpp \
		moc_btservice.cpp \
		moc_dhcpdialog.cpp \
		qrc_image.cpp
OBJECTS       = main.o \
		mainwindow.o \
		rcqtextedit.o \
		pwqdialog.o \
		addnowdialog.o \
		processrunner.o \
		usbmanager.o \
		helpwindow.o \
		btdevice.o \
		btservice.o \
		dhcpdialog.o \
		moc_mainwindow.o \
		moc_texteditautoresizer.o \
		moc_rcqtextedit.o \
		moc_pwqdialog.o \
		moc_addnowdialog.o \
		moc_processrunner.o \
		moc_usbmanager.o \
		moc_helpwindow.o \
		moc_btdevice.o \
		moc_btservice.o \
		moc_dhcpdialog.o \
		qrc_image.o
DIST          = /targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		genwall-1.2.0.pro
QMAKE_TARGET  = genwall
DESTDIR       = 
TARGET        = genwall

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_pwqdialog.h ui_addnowdialog.h ui_usbmanager.h ui_btdevice.h ui_btservice.h ui_dhcpdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: genwall-1.2.0.pro  /targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/opt/qtm12/lib/libQtSystemInfo.prl \
		/opt/qtm12/lib/libQtConnectivity.prl \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile genwall-1.2.0.pro
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-576408185b3cef93a5617e76e9058e6f354631c6/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/opt/qtm12/lib/libQtSystemInfo.prl:
/opt/qtm12/lib/libQtConnectivity.prl:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile genwall-1.2.0.pro

dist:

=== debian/changelog ===
genwall (1.2.0) unstable; urgency=low
  * depends on libqtm-12
  * changed package description
  * changed resolv handling
  * added open dns server as default
  * added window titles
  * added lsof command to save ini
  * fixed save ini block host load file
  * refresh filter view when deleting rules
  * added bluetooth manager
  * added initiate panu connection
  * added top menu
  * added request for dhcp ip

 -- Christian Weniger <less_to_space@web.de>  Mon, 09 Nov 2015 20:34:12 +0100

=== debian/control ===
Source: genwall
Section: user/network
Priority: optional
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-12-dev, mce-dev
Standards-Version: 3.7.3
Homepage: http://maemo.org/packages/view/genwall/

Package: genwall
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables
Description: iptables firewall
 Genwall is an iptables firewall generator and runtime control gui written in c++ and Qt.
 Furthermore it can control wifi ad-hoc, usb and bt lan for forwarding internet connection.
 It has also an ad-blocker based on dnsmasq.
XB-Maemo-Display-Name: genwall
XB-Maemo-Icon-26: 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
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=genwall

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	#qmake PREFIX=/usr # Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	#qmake # uncomment for autobuilder
	qmake genwall-1.2.0.pro
	$(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/genwall.sgml > genwall.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	qmake genwall-1.2.0.pro
	$(MAKE) clean #comment out for autobuilder

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/genwall.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/genwall install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps # Uncomment this line for use without Qt Creator
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## genwall 1.2.2

=== Makefile ===
#############################################################################
# Makefile for building: genwall
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue May 17 20:53:35 2016
# Project:  genwall-1.2.2.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile genwall-1.2.2.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/include/QtCore -I/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/include/QtNetwork -I/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/include/QtGui -I/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/include/QtDBus -I/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/include/QtMaemo5 -I/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/include -I/opt/qtm12/include/QtConnectivity -I/opt/qtm12/include/QtSystemInfo -I/opt/qtm12/include -I/opt/qtm12/include/QtMobility -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qtm12/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib/../../opt/qtm12/lib -lcrypt -L/usr/lib -lQtSystemInfo -lQtConnectivity -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		rcqtextedit.cpp \
		pwqdialog.cpp \
		addnowdialog.cpp \
		processrunner.cpp \
		usbmanager.cpp \
		helpwindow.cpp \
		btdevice.cpp \
		btservice.cpp \
		dhcpdialog.cpp moc_mainwindow.cpp \
		moc_texteditautoresizer.cpp \
		moc_rcqtextedit.cpp \
		moc_pwqdialog.cpp \
		moc_addnowdialog.cpp \
		moc_processrunner.cpp \
		moc_usbmanager.cpp \
		moc_helpwindow.cpp \
		moc_btdevice.cpp \
		moc_btservice.cpp \
		moc_dhcpdialog.cpp \
		qrc_image.cpp
OBJECTS       = main.o \
		mainwindow.o \
		rcqtextedit.o \
		pwqdialog.o \
		addnowdialog.o \
		processrunner.o \
		usbmanager.o \
		helpwindow.o \
		btdevice.o \
		btservice.o \
		dhcpdialog.o \
		moc_mainwindow.o \
		moc_texteditautoresizer.o \
		moc_rcqtextedit.o \
		moc_pwqdialog.o \
		moc_addnowdialog.o \
		moc_processrunner.o \
		moc_usbmanager.o \
		moc_helpwindow.o \
		moc_btdevice.o \
		moc_btservice.o \
		moc_dhcpdialog.o \
		qrc_image.o
DIST          = /targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		genwall-1.2.2.pro
QMAKE_TARGET  = genwall
DESTDIR       = 
TARGET        = genwall

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_pwqdialog.h ui_addnowdialog.h ui_usbmanager.h ui_btdevice.h ui_btservice.h ui_dhcpdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: genwall-1.2.2.pro  /targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/opt/qtm12/lib/libQtSystemInfo.prl \
		/opt/qtm12/lib/libQtConnectivity.prl \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile genwall-1.2.2.pro
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-363204b4ce18021130dfbcd365117dd15839d978/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/opt/qtm12/lib/libQtSystemInfo.prl:
/opt/qtm12/lib/libQtConnectivity.prl:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile genwall-1.2.2.pro

dist:

=== debian/changelog ===
genwall (1.2.2) unstable; urgency=low
  * fixed reset of etc resolv, added backup file
  * refresh resolv after dhclient(udhcpc)
  * show bt mac for initiated connections
  * added close button bt initiated connection
  * added pw dialog wrong pw message
  * added bt past connection list
  * added bt automatic clean up after disconnect
  * fixed sysklogd/klogd start message

 -- Christian Weniger <less_to_space@web.de>  Tue, 17 May 2016 21:50:18 +0200

genwall (1.2.1) unstable; urgency=low
  * added connect to nap 

 -- Christian Weniger <less_to_space@web.de>  Sat, 28 Nov 2015 01:10:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 	# Add here commands to compile the package.
 	#qmake # uncomment for autobuilder
-	qmake genwall-1.2.0.pro
+	qmake genwall-1.2.2.pro
 	$(MAKE) # Uncomment this line for use without Qt Creator
 	#docbook-to-man debian/genwall.sgml > genwall.1
 
@@ -40,7 +40,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	qmake genwall-1.2.0.pro
+	qmake genwall-1.2.2.pro
 	$(MAKE) clean #comment out for autobuilder
 
 	dh_clean
